Ask Your Question
0

please help me someone to configue Horizon(OpenStack Havana) in Centos6.5 [closed]

asked 2014-09-04 02:44:07 -0500

MR_Chowdhury gravatar image

updated 2014-09-04 04:02:29 -0500

Anand TS gravatar image

Every time I tried to setup, it shows follwing error.

Error: Package: openstack-nova-volume-2012.2.4-1.el6.noarch (@epel)
           Requires: openstack-nova-common = 2012.2.4-1.el6
           Removing: openstack-nova-common-2012.2.4-1.el6.noarch (@epel)
               openstack-nova-common = 2012.2.4-1.el6
           Updated By: openstack-nova-common-2014.1.2-1.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1.2-1.el6
           Available: openstack-nova-common-2013.2-0.19.b3.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-0.19.b3.el6
           Available: openstack-nova-common-2013.2-0.23.rc1.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-0.23.rc1.el6
           Available: openstack-nova-common-2013.2-0.25.rc1.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-0.25.rc1.el6
           Available: openstack-nova-common-2013.2-0.26.rc2.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-0.26.rc2.el6
           Available: openstack-nova-common-2013.2-2.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-2.el6
           Available: openstack-nova-common-2013.2-3.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-3.el6
           Available: openstack-nova-common-2013.2-5.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2-5.el6
           Available: openstack-nova-common-2013.2.1-1.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2.1-1.el6
           Available: openstack-nova-common-2013.2.1-3.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2.1-3.el6
           Available: openstack-nova-common-2013.2.2-1.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2.2-1.el6
           Available: openstack-nova-common-2013.2.3-1.el6.noarch (openstack-havana)
               openstack-nova-common = 2013.2.3-1.el6
           Available: openstack-nova-common-2014.1-0.5.b1.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-0.5.b1.el6
           Available: openstack-nova-common-2014.1-0.9.b2.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-0.9.b2.el6
           Available: openstack-nova-common-2014.1-0.11.b3.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-0.11.b3.el6
           Available: openstack-nova-common-2014.1-0.12.rc1.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-0.12.rc1.el6
           Available: openstack-nova-common-2014.1-0.13.rc2.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-0.13.rc2.el6
           Available: openstack-nova-common-2014.1-1.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-1.el6
           Available: openstack-nova-common-2014.1-2.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-2.el6
           Available: openstack-nova-common-2014.1-4.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1-4.el6
           Available: openstack-nova-common-2014.1.1-1.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1.1-1.el6
           Available: openstack-nova-common-2014.1.1-2.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1.1-2.el6
           Available: openstack-nova-common-2014.1.1-3.el6.noarch (openstack-icehouse)
               openstack-nova-common = 2014.1.1-3.el6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by laboshinl
close date 2014-09-09 01:13:13.282799

Comments

While running which command are you getting this error?

sushma-korati gravatar imagesushma-korati ( 2014-09-04 05:35:51 -0500 )edit

2 answers

Sort by ยป oldest newest most voted
0

answered 2014-09-04 08:22:06 -0500

MR_Chowdhury gravatar image

Thanks, It works.

edit flag offensive delete link more
0

answered 2014-09-04 07:10:42 -0500

larsks gravatar image

It looks like you are trying to upgrade from Folsom to Icehouse. The Folsom packages included a package called "openstack-nova-volume', which does not exist in Icehouse (the nova-volume service was replaced by Cinder). Because this package requires other Folsom packages and is not itself getting upgraded it is preventing the upgrade from completing successfully.

Try removing that package before upgrading:

yum remove openstack-nova-volume
edit flag offensive delete link more

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-09-04 02:44:07 -0500

Seen: 45 times

Last updated: Sep 04 '14